<?php

use api\classes\API_inserve;

session_start();

require_once "{$_SERVER['DOCUMENT_ROOT']}/api/classes/API_inserve.php";


$API_inserve = new API_inserve();

if ($API_inserve->request_method === 'GET' || $API_inserve->request_method === 'POST') {
    # This syncs the company id's from Sentri to the Inserve cloudDistributor
    # These are the same id's but it Inserve requires it to be synced to the cloudDistributor
    $API_inserve->checkPermissions('servers', 'RW');
    $API_inserve->setupConnection();

    $API_inserve->syncCompaniesFromSentri();


    $API_inserve->apiOutput(200, ['success' => 'Sync is done successfully']);
}